complexType "LetterOfCredit"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 6 elements
Defined: | globally in fpml-collateral-processes-5-5.xsd; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | identifier*, amount?, valueDate?, marketValue?, haircut?, collateralValue?
</...>

Content Model Elements (6):

  amount (in letterOfCredit), collateralValue (in letterOfCredit), haircut (in letterOfCredit), | identifier (in letterOfCredit), marketValue (in letterOfCredit), valueDate (in letterOfCredit)

All Direct / Indirect Based Elements (1):

  letterOfCredit

Known Usage Locations

- As direct type of elements (1):
  letterOfCredit

Annotation
Defines a letter of credit.
Type Definition Detail

Type Derivation Tree LcSummary (extension) LetterOfCredit

XML Source (w/o annotations (1); see within schema source)

<xsd:complexType name="LetterOfCredit"> <xsd:complexContent> <xsd:extension base="LcSummary"> <xsd:sequence> <xsd:element minOccurs="0" name="amount" type="NonNegativeDecimal"/> <xsd:element minOccurs="0" name="valueDate" type="xsd:date"/> <xsd:element minOccurs="0" name="marketValue" type="NonNegativeDecimal"/> <xsd:element minOccurs="0" name="haircut" type="xsd:decimal"/> <xsd:element minOccurs="0" name="collateralValue" type="NonNegativeDecimal"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 5/6)
amount

  Type: | NonNegativeDecimal, simple content

  Simple Content

  xsd:decimal

  minInclusive: | 0

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="amount" type="NonNegativeDecimal"/>

collateralValue

  Type: | NonNegativeDecimal, simple content

  Simple Content

  xsd:decimal

  minInclusive: | 0

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="collateralValue" type="NonNegativeDecimal"/>

haircut

  Type: | xsd:decimal, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="haircut" type="xsd:decimal"/>

marketValue

  Type: | NonNegativeDecimal, simple content

  Simple Content

  xsd:decimal

  minInclusive: | 0

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="marketValue" type="NonNegativeDecimal"/>

valueDate

  Type: | xsd:date, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="valueDate" type="xsd:date"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.